## hildon-desktop 0.0.14-1

=== debian/changelog ===
hildon-desktop (0.0.14-1) sardine; urgency=low

  * src/hd-switcher-menu.c: check state of blinking application when
  application is in app switcher slot. Fixes: NB#57680
  
  * src/hn-app-switcher.c:
  - Show items in junk dialog of application killer. Fixes: NB54712
  
  * src/hd-switcher-menu-item.c:
  - Reverting to GtkMenuItem. Image shows but behavior not consistent
  enough.
  
  * src/hd-switcher-menu-item.c:
  - Inherits againg from GtkImageMenuItem.
  * src/hd-switcher-menu.c:
  - Implemented dettached menu button.
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed two little memory leaks.
  * libhildonwm/hd-keys.c:
  - Changed applet name for search.
  
  * src/hn-app-button.c: don't show tooltip when tapping and holding on
  the application group. 
  Fixes: NB#57836
  
  * src/hd-plugin-loader-builtin.c: added applications menu to the
  possible builtin plugins. 
  * data/applications-menu.desktop.in, src/hd-applications-menu.[ch]: new two-pane 
  applications menu. Theming still missing.
  * src/Makefile.am, data/Makefile.am, configure.ac: added new plugin to
  the build.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]: implement size
  allocate and request to correctly show the "toggle" region of menu
  items. Fixed scrolling for popup menus which are not child of a
  window. Added a method to get the current selected menu item.
  * data/applications.menu: added (commented for now) new applications
  menu layout.
  
  * src/hd-desktop.c: fix build warning. 
  
  * src/hd-desktop.c: handle system note dialog queuing on explicit
  response and notification close.
  
  * src/hd-desktop.c,
  libhildondesktop/hildon-desktop-notification-manager.c: implement new
  kind of system note dialog with a progress bar.
  
  * src/hd-hung-app-handler.c:
  - Added missing "hung application" handler.
  * src/Makefile.am: updated
  * libhildonwm/hd-wm.c: 
  - Handle home entry info from hd_wm_top_item
  * src/hd-switcher-menu.c: Close the menu when topping desktop.
  
  * src/hd-switcher-menu.c:
  - Fixed showing of menu button when notifications are added and there
  are no applications and the menu is closed afterwards.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Implemented basic scrolling support. To be improved, though.
  * libhildondesktop/hildon-desktop-toggle-button.h:
  - Fixed #define

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 23 May 2007 18:23:36 +0300

hildon-desktop (0.0.13-1) sardine; urgency=low

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed problem I just introduced when resizing window parent.

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Fixed problem with scrolling.
  - When resizing parent with scroll controls, resize it as big as the
  screen.

  * src/hd-panel-window.c:
  - added _style_set to load a background picture
  - added _realize to first call _style_set
  - paint the background in expose

  * libhildondesktop/hildon-desktop-popup-menu.c: fixed sizing and
  scroll buttons behavior when "resize-parent" is FALSE.

  * src/hd-switcher-menu.c:
  - Order of the stacking fixed.

  * src/hd-switcher-menu.c:
  - Implemented jumping from pane to pane. Unfortunately you cannot jump
  to menu item at same height.
  * libhildondesktop/hildon-desktop-popup-menu.[ch]:
  - Added select first item method.
  - If item to select is NULL, deselect everything.
  * libhildondesktop/hildon-desktop-popup-window.c:
  - "You shall not compare integers and unsigned integers without a
  casting".

  * src/hd-switcher-menu-item.c:
  - Close notification when activated.
  * src/hd-switcher-menu.c:
  - Close menu when application topped.
  - Don't show the button if there are no application and no
  notifications.
  - Connected to show-controls signals from the menu.
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Added show-controls signals when scroll bottons are shown or not.
  * libhildonwm/hd-keys.c:
  - Added shortcut for osso-global-search, harcoded, though :(

  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Added "resize-parent" property if you don't want the menu to resize
  the parent.

  * libhildondesktop/hildon-desktop-notification-manager.[ch]: added
  support for notification persistency (insert, update, delete and load)
  with sqlite. Notifications database is store in
  $HOME/.osso/hildon-desktop/notifications.db, Thus, we have now optional 
  build dependency on sqlite. Protect the id generation with mutexes to
  avoid concurrency problems.
  * configure.ac, libhildondesktop/Makefile.am: added sqlite dependency
  and build bits.

  * libhildondesktop/hildon-home-area.c:
  - fixed a bug I just introduced, the Damage needs to be created
  even if the applet is already realized when added
  - removed some debug messages
  * libhildondesktop/hildon-desktop-toggle-button.c:
  - removed excessive debug messages

  * src/hd-config.h: Added thumb icon size.
  * src/hd-switcher-menu-item.c: Include hd-config.h
  * src/hd-switcher-menu.c:
  - Implemented blinking of applications in menu icon.

  * src/hd-switcher-menu.c:
  - Populate notifications menu at start-up.

  * data/home.conf:
  - added hildon-home-webshortcut.desktop
  Fixes: NB#56360
  * data/home-layout.conf:
  - removed none-default applets

  * src/hd-switcher-menu.c:
  - Fixed menu positioning.
  - Implemented key navigation.
  - Added separators to notifications.
  * libhildondesktop/hildon-desktop-popup-menu.c:
  - Implemented navigation through keys. Misses auto-scrolling.
  - Small fixes
  * libhildondesktop/hildon-desktop-popup-window.c:
  - Propagate key-press-event to child widget of pane.
  * libhildonwm/hd-wm-watched-window.c:
  - Update state of fullscreen when a HDWMWatchedWindow is removed.
  Fixes: NB#56174, NB#54820.
  * libhildonwm/hd-wm.c:
  - Renamed "show_menu" signal to "show-menu".

  * libhildondesktop/hildon-desktop-home-item.c:
  - added tap_and_hold handler to revert to normal state

