## hildon-desktop 0.0.14-2

=== debian/changelog ===
hildon-desktop (0.0.14-2) sardine; urgency=low

  * src/hd-switcher-menu.c: Fixed behavior I just introduced. 

 -- Lucas Rocha <lucas.rocha@nokia.com>  Thu, 24 May 2007 09:25:34 +0300
